
Redmine - Defect #21024

can't upload file with "[" in name

2015-10-19 14:06 - stephane pham

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version:    

Resolution: No feedback Affected version:  

Description

Hi,

I work on redmine version 3.1.1 and i can't upload file with "[" in name.

Thanks.

History

#1 - 2015-10-20 04:16 - Toshi MARUYAMA

- Tracker changed from Patch to Defect

- Category set to Attachments

#2 - 2015-11-06 05:30 - Toshi MARUYAMA

- Status changed from New to Needs feedback

I cannot reproduce.

Started POST "/uploads.js?attachment_id=1&filename=test%5B1%5D.txt&content_type=text%2Fplain" for 192.168.11.1

0 at 2015-11-06 13:28:56 +0900

Processing by AttachmentsController#upload as JS

  Parameters: {"attachment_id"=>"1", "filename"=>"test[1].txt", "content_type"=>"text/plain"}

  Current user: admin (id=1)

Saving attachment '/REDMINE/MY-REDMINE/redmine-4000/files/2015/11/151106132856_49ec543a2dfd6263652f5168d6956ea

6.txt' (6 bytes)

  Rendered attachments/upload.js.erb (1.9ms)

Completed 200 OK in 179ms (Views: 5.5ms | ActiveRecord: 129.0ms)

#3 - 2019-02-03 19:33 - Marius BĂLTEANU

- Status changed from Needs feedback to Closed

- Resolution set to No feedback
